> ## Documentation Index
> Fetch the complete documentation index at: https://artie.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch tables for a saved connector

> Lists available tables on the target using a saved connector's configuration. databaseName defaults to the connector's configured database; schemaName defaults to the connector type's default schema (e.g. 'public' for Postgres, 'dbo' for SQL Server).



## OpenAPI

````yaml https://raw.githubusercontent.com/artie-labs/artie-api-spec/refs/heads/master/openapi.yaml get /connectors/{uuid}/tables
openapi: 3.1.0
info:
  description: External API endpoints for Artie
  title: Artie API
  version: v1.0.81
servers:
  - url: https://api.artie.com
security:
  - ApiKey: []
paths:
  /connectors/{uuid}/tables:
    get:
      tags:
        - Connectors
      summary: Fetch tables for a saved connector
      description: >-
        Lists available tables on the target using a saved connector's
        configuration. databaseName defaults to the connector's configured
        database; schemaName defaults to the connector type's default schema
        (e.g. 'public' for Postgres, 'dbo' for SQL Server).
      operationId: connector_fetch_tables
      parameters:
        - in: path
          name: uuid
          required: true
          schema:
            type: string
        - in: query
          name: databaseName
          schema:
            type: string
        - in: query
          name: schemaName
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ListResponseBodyConnectorTableDetailResponse
          description: OK
        '400':
          description: Bad Request
        '500':
          description: Internal Server Error
components:
  schemas:
    ListResponseBodyConnectorTableDetailResponse:
      properties:
        items:
          items:
            $ref: '#/components/schemas/PayloadsConnectorTableDetailResponse'
          type: array
      required:
        - items
      type: object
    PayloadsConnectorTableDetailResponse:
      properties:
        columns:
          items:
            $ref: '#/components/schemas/PayloadsConnectorColumn'
          type: array
        createdAt:
          format: date-time
          type:
            - 'null'
            - string
        isView:
          type: boolean
        metadata:
          items:
            $ref: '#/components/schemas/PayloadsCatalogTableProperty'
          type: array
        modifiedAt:
          format: date-time
          type:
            - 'null'
            - string
        name:
          type: string
        schema:
          type: string
        unreadable:
          type: boolean
      type: object
    PayloadsConnectorColumn:
      properties:
        metadata:
          $ref: '#/components/schemas/PayloadsConnectorColumnMetadata'
        name:
          type: string
      type: object
    PayloadsCatalogTableProperty:
      properties:
        isDate:
          type: boolean
        key:
          type: string
        value:
          $ref: '#/components/schemas/PayloadsJSONValue'
      type: object
    PayloadsConnectorColumnMetadata:
      properties:
        comment:
          type: string
        dataType:
          type: string
        defaultValue:
          type:
            - 'null'
            - string
        isPrimaryKey:
          type:
            - 'null'
            - boolean
        notNull:
          type: boolean
      type: object
    PayloadsJSONValue:
      anyOf:
        - $ref: '#/components/schemas/PayloadsJsonValueString'
        - $ref: '#/components/schemas/PayloadsJsonValueNumber'
        - $ref: '#/components/schemas/PayloadsJsonValueBoolean'
        - $ref: '#/components/schemas/PayloadsJsonValueObject'
        - $ref: '#/components/schemas/PayloadsJsonValueArray'
        - $ref: '#/components/schemas/PayloadsJsonValueNull'
    PayloadsJsonValueString:
      oneOf:
        - type: string
      type: string
    PayloadsJsonValueNumber:
      oneOf:
        - type: number
      type: number
    PayloadsJsonValueBoolean:
      oneOf:
        - type: boolean
      type: boolean
    PayloadsJsonValueObject:
      additionalProperties: true
      type: object
    PayloadsJsonValueArray:
      items:
        $ref: '#/components/schemas/PayloadsJsonValueArrayItem'
      type: array
    PayloadsJsonValueNull:
      oneOf:
        - type: 'null'
      type: 'null'
    PayloadsJsonValueArrayItem:
      anyOf:
        - $ref: '#/components/schemas/PayloadsJsonValueString'
        - $ref: '#/components/schemas/PayloadsJsonValueNumber'
        - $ref: '#/components/schemas/PayloadsJsonValueBoolean'
        - $ref: '#/components/schemas/PayloadsJsonValueObject'
        - $ref: '#/components/schemas/PayloadsJsonValueNull'
  securitySchemes:
    ApiKey:
      description: API key passed as a Bearer token in the Authorization header.
      scheme: bearer
      type: http

````